Bug 10063 - Correct the documentation for the C4:Members sub: IsMemberBlocked
Summary: Correct the documentation for the C4:Members sub: IsMemberBlocked
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-16 09:26 UTC by David Cook
Modified: 2016-12-05 21:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 10063: Correct documentation of C4::Members::IsMemberBlocked (1.79 KB, patch)
2015-06-08 02:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10063: Correct documentation of C4::Members::IsMemberBlocked (2.05 KB, patch)
2015-06-15 15:34 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 10063: Correct documentation of C4::Members::IsMemberBlocked (2.12 KB, patch)
2015-06-19 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10063: Remove outdated FIXME (858 bytes, patch)
2015-06-19 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10063: Correct documentation of C4::Members::IsMemberBlocked (2.12 KB, patch)
2015-06-19 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 10063: Remove outdated FIXME (881 bytes, patch)
2015-06-19 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 10063: Correct documentation of C4::Members::IsMemberBlocked (2.19 KB, patch)
2015-06-19 15:04 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 10063: Remove outdated FIXME (949 bytes, patch)
2015-06-19 15:04 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2013-04-16 09:26:39 UTC
The perldoc for the IsMemberBlocked sub isn't accurate. It just needs to be updated so as to accurately describe the sub.
Comment 1 Katrin Fischer 2015-06-08 02:20:32 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2015-06-08 02:21:03 UTC
David, is this what you had in mind? If not, you will have to steer me in he right direction with this.
Comment 3 David Cook 2015-06-09 03:05:59 UTC
(In reply to Katrin Fischer from comment #2)
> David, is this what you had in mind? If not, you will have to steer me in he
> right direction with this.

No idea :). I should've written a better comment 2 years ago when I reported it.
Comment 4 M. Tompsett 2015-06-15 15:32:13 UTC
Comment on attachment 39972 [details] [review]
Bug 10063: Correct documentation of C4::Members::IsMemberBlocked

Review of attachment 39972 [details] [review]:
-----------------------------------------------------------------

::: C4/Members.pm
@@ +531,4 @@
>  
>  FIXME: this needs to be split into two functions; a potential block
>  based on the number of current overdue items could be orthogonal
> +to a block based on whether the patron has any restrictions.

I'm not sure this FIXME is relevant any more. We have the Debarment function and surely there is a function in C4::Overdues which can be used to get the issues overdue count.
Comment 5 M. Tompsett 2015-06-15 15:34:47 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-06-16 09:36:58 UTC
(In reply to M. Tompsett from comment #4)
> Comment on attachment 39972 [details] [review] [review]
> Bug 10063: Correct documentation of C4::Members::IsMemberBlocked
> 
> Review of attachment 39972 [details] [review] [review]:
> -----------------------------------------------------------------
> 
> ::: C4/Members.pm
> @@ +531,4 @@
> >  
> >  FIXME: this needs to be split into two functions; a potential block
> >  based on the number of current overdue items could be orthogonal
> > +to a block based on whether the patron has any restrictions.
> 
> I'm not sure this FIXME is relevant any more. We have the Debarment function
> and surely there is a function in C4::Overdues which can be used to get the
> issues overdue count.

Same here, shouldn't we remove this FIXME?
Comment 7 Katrin Fischer 2015-06-16 09:38:31 UTC
I was not sure so I left it - if you want, please go ahead and remove it!
Comment 8 Jonathan Druart 2015-06-19 13:48:20 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2015-06-19 13:48:23 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2015-06-19 14:57:29 UTC Comment hidden (obsolete)
Comment 11 Kyle M Hall 2015-06-19 14:57:37 UTC Comment hidden (obsolete)
Comment 12 Kyle M Hall 2015-06-19 15:04:49 UTC
Created attachment 40392 [details] [review]
[PASSED QA] Bug 10063: Correct documentation of C4::Members::IsMemberBlocked

Rephrased documentation a bit, replacing fine days with the
more general term restriction. As IsDebarred checks for existing
active restrictions.

TEST PLAN
---------
1) apply patch
2) git diff origin/master
   -- do the changes make sense
3) perldoc C4::Members
   -- look for the IsMemberBlocked.
   -- Does it reflect current state
4) koha qa test tools

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Kyle M Hall 2015-06-19 15:04:55 UTC
Created attachment 40393 [details] [review]
[PASSED QA] Bug 10063: Remove outdated FIXME

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 14 Tomás Cohen Arazi 2015-06-22 14:42:45 UTC
Patches pushed to master.

Thanks Katrina!
Comment 15 Chris Cormack 2015-07-06 21:25:57 UTC
Pushed to 3.20.x will be in 3.20.2